Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextLinesStore Class Reference
[Viewer/streaming]

Inheritance diagram for TextLinesStore:

## Detailed Description

Reads array of text lines and makes it accessible with LineSource interface.

All lines are ended with \r\n or \n characters.

## Public Methods

| TextLinesStore ()
| Empty constructor.
void | loadFile (const String *fileName, const String *inputEncoding, bool tab2spaces)
| Loads specified file into vector of strings.
const String * | getFileName ()
| Returns loaded file name.
int | getLineCount ()
| Returns total lines count in text.
String * | getLine (int lno)

## Protected Methods

void | freeFile ()
| Frees loaded file lines.

## Constructor & Destructor Documentation

TextLinesStore::TextLinesStore | ( |  | ) |

| Empty constructor. Does nothing.

## Member Function Documentation

void TextLinesStore::loadFile | ( | const String * | fileName,
|  | const String * | inputEncoding,
|  | bool | tab2spaces
| ) |

Loads specified file into vector of strings.

Parameters:

  fileName | File to load.
  inputEncoding | Input file encoding.
  tab2spaces | Points, if we have to convert all tabs in file into spaces.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.